// Code generated by mockery 2.9.4. DO NOT EDIT.

package mocks

import (
	http "net/http"

	mock "github.com/stretchr/testify/mock"
)

// IPMatcher is an autogenerated mock type for the IPMatcher type
type IPMatcher struct {
	mock.Mock
}

// Match provides a mock function with given fields: _a0
func (_m *IPMatcher) Match(_a0 *http.Request) string {
	ret := _m.Called(_a0)

	var r0 string
	if rf, ok := ret.Get(0).(func(*http.Request) string); ok {
		r0 = rf(_a0)
	} else {
		r0 = ret.Get(0).(string)
	}

	return r0
}

// MatchHash provides a mock function with given fields: _a0
func (_m *IPMatcher) MatchHash(_a0 *http.Request) uint32 {
	ret := _m.Called(_a0)

	var r0 uint32
	if rf, ok := ret.Get(0).(func(*http.Request) uint32); ok {
		r0 = rf(_a0)
	} else {
		r0 = ret.Get(0).(uint32)
	}

	return r0
}
